package cd.casic.ci.common.pipeline.pojo.auth;


import cd.casic.ci.common.pipeline.enums.AuthSystemType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Schema(title = "筛选项目条件实体")
public class ProjectConditionDTO {

    @Schema(title = "中心ID")
    private Long centerId;

    @Schema(title = "部门ID")
    private Long deptId;

    @Schema(title = "bgId")
    private Long bgId;

    @Schema(title = "bg列表")
    private List<Long> bgIdList;

    @Schema(title = "项目创建人")
    private String projectCreator;

    @Schema(title = "排除项目code")
    private List<String> excludedProjectCodes;

    @Schema(title = "项目ID列表")
    private List<String> projectCodes;

    @Schema(title = "资源类型")
    private String resourceType;

    @Schema(title = "路由tag")
    private AuthSystemType routerTag;

    @Schema(title = "是否包含router_tag为null")
    private Boolean includeNullRouterTag = false;

    @Schema(title = "是否关联产品")
    private Boolean relatedProduct;

    @Schema(title = "排除创建时间大于该值的项目")
    private String excludedCreateTime;

    @Schema(title = "是否启用")
    private Boolean enabled;

    @Schema(title = "渠道代码")
    private String channelCode;

    @Schema(title = "remoteDev相关")
    private Boolean queryRemoteDevFlag;
}
