package cd.casic.ci.common.pipeline.pojo.element.atom;

import com.fasterxml.jackson.annotation.JsonSubTypes;
import com.fasterxml.jackson.annotation.JsonTypeInfo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
import java.util.Set;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.pojo.element.atom
 * @Project：ops-pro
 * @name：PipelineCheckFailedReason
 * @Date：2025/03/26 17:19
 * @Filename：PipelineCheckFailedReason
 * @description：Todo
 */
@Data
@NoArgsConstructor
@JsonTypeInfo(use = JsonTypeInfo.Id.NAME, include = JsonTypeInfo.As.PROPERTY, property = "@type")
@JsonSubTypes({
        @JsonSubTypes.Type(value = PipelineCheckFailedMsg.class, name = PipelineCheckFailedMsg.CLASS_TYPE),
        @JsonSubTypes.Type(value = PipelineCheckFailedErrors.class, name = PipelineCheckFailedErrors.CLASS_TYPE)
})
public abstract class PipelineCheckFailedReason {
    @Schema(description = "失败信息描述", required = true)
    protected String message;
}

class PipelineCheckFailedMsg extends PipelineCheckFailedReason {
    public static final String CLASS_TYPE = "msg";

    public PipelineCheckFailedMsg(String message) {
        this.message = message;
    }
}

class PipelineCheckFailedErrors extends PipelineCheckFailedReason {
    public static final String CLASS_TYPE = "errors";

    @Schema(description = "失败详情", required = true)
    private List<ErrorInfo> errors;

    public PipelineCheckFailedErrors(String message, List<ErrorInfo> errors) {
        this.message = message;
        this.errors = errors;
    }

    @Data
    public static class ErrorInfo {
        @Schema(description = "失败标题", required = true)
        private String errorTitle;

        @Schema(description = "失败详情", required = true)
        private Set<String> errorDetails;
    }
}
