package cd.casic.pipeline.dispatch.pojo.enums;

import cd.casic.ci.common.pipeline.type.DispatchType;
import cd.casic.ci.common.pipeline.type.docker.DockerDispatchType;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author by mianbin
 * @Classname JobQuotaVmType
 * @Description TODO
 * @Date 2025/4/8 16:14
 */
@Getter
@AllArgsConstructor
public enum JobQuotaVmType {
    DOCKER_VM("Docker on VM"),
    KUBERNETES("kubernetes"),
    DOCKER_DEVCLOUD("Docker on DevCloud"),
    MACOS_DEVCLOUD("MacOS on DevCloud"),
    WINDOWS_DEVCLOUD("Windows on DevCloud"),
    OTHER("私有构建机或集群"),
    BUILD_LESS("无编译环境"),
    DOCKER_GITCI("工蜂CI构建机"),
    DOCKER_STREAM("STREAM构建机"),
    DOCKER_BCS("Docker on Bcs"),
    DOCKER_PCG("PCG公共构建资源"),
    ALL("所有类型");

    private final String displayName;

    public static JobQuotaVmType parse(String vmType) {
        for (JobQuotaVmType jobQuotaVmType : values()) {
            if (jobQuotaVmType.name().equals(vmType)) {
                return jobQuotaVmType;
            }
        }
        return null;
    }

    public static JobQuotaVmType parse(DispatchType dispatchType) {
        if (dispatchType instanceof DockerDispatchType) {
            return DOCKER_VM;
        }
        // 其他类型暂时不限制
        return null;
    }
}
