package cd.casic.ci.event.pojo.pipeline;

import cd.casic.ci.event.enums.ActionType;
import cd.casic.ci.event.pojo.IEvent;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.slf4j.MDC;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.event.pojo.pipeline
 * @Project：ops-pro
 * @name：IPipelineEvent
 * @Date：2025/03/25 9:50
 * @Filename：IPipelineEvent
 * @description：Todo
 */
@EqualsAndHashCode(callSuper = true)
@Data
@NoArgsConstructor
@AllArgsConstructor
public abstract class IPipelineEvent extends IEvent {
    private ActionType actionType;
    private String source;
    private String projectId;
    private String pipelineId;
    private String userId;
    private String traceId = MDC.get("bizid");
    private String routeKeySuffix;

    public IPipelineEvent( ActionType actionType, String source, String projectId, String pipelineId, String userId,int delayMills) {
        super(delayMills, 1);
        this.actionType = actionType;
        this.source = source;
        this.projectId = projectId;
        this.pipelineId = pipelineId;
        this.userId = userId;
    }
}
