package cd.casic.ci.process.api.process.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Map;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo
 * @Project：ops-pro
 * @name：BuildTaskResult
 * @Date：2025/03/24 15:13
 * @Filename：BuildTaskResult
 * @description：Todo
 */
@Data
@Schema(title = "流水线模型-构建任务结果")
public class BuildTaskResult {
    @Schema(title = "任务ID", required = true)
    private String taskId;
    @Schema(title = "插件ID", required = true)
    private String elementId;
    @Schema(title = "插件版本号", required = false)
    private String elementVersion;
    @Schema(title = "容器Hash ID", required = true)
    private String containerId;
    @Schema(title = "是否执行成功", required = true)
    private boolean success;
    @Schema(title = "插件执行次数", required = true)
    private Integer executeCount;
    @Schema(title = "构建结果", required = true)
    private Map<String, String> buildResult;
    @Schema(title = "错误原因", required = false)
    private String message;
    @Schema(title = "任务类型", required = false)
    private String type;
    @Schema(title = "错误类型", required = false)
    private String errorType;
    @Schema(title = "错误码标识", required = false)
    private Integer errorCode;
    @Schema(title = "对接平台代码", required = false)
    private String platformCode;
    @Schema(title = "对接平台错误码", required = false)
    private Integer platformErrorCode;
    @Schema(title = "插件监控数据", required = false)
    private Map<String, Object> monitorData;
}
