package cd.casic.ci.log.scm.api;


import cd.casic.ci.log.scm.dal.pojo.github.GithubBranch;
import cd.casic.ci.log.scm.dal.pojo.github.GithubTag;
import cd.casic.ci.log.scm.dal.pojo.github.GithubToken;
import cd.casic.ci.log.scm.service.github.GithubTokenService;
import cd.casic.ci.log.scm.service.github.IGithubService;
import cd.casic.framework.commons.pojo.CommonResult;
import cd.casic.ci.log.scm.enums.GitHubTokenType;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.RestController;


/**
 * @author liubin
 * @date 2023/10/13 15:48
 * @description
 */
@RestController
public class ServiceGithubResourceImpl implements ServiceGithubResource{

    @Resource
    private GithubTokenService githubTokenService;

    @Resource
    private IGithubService githubService;

    @Override
    public CommonResult<GithubToken> getAccessToken(String userId, GitHubTokenType tokenType) {
        return CommonResult.success(githubTokenService.getAccessToken(userId, tokenType != null ? tokenType : GitHubTokenType.GITHUB_APP));
    }

    @Override
    public CommonResult<GithubBranch> getGithubBranch(String accessToken, String projectName, String branch) {
        return CommonResult.success(githubService.getBranch(accessToken, projectName, branch));
    }

    @Override
    public CommonResult<GithubTag> getGithubTag(String accessToken, String projectName, String tag) {
        return CommonResult.success(githubService.getTag(accessToken, projectName, tag));
    }
}
