package cd.casic.pipeline.store.api.common;

import cd.casic.framework.commons.pojo.CommonResult;
import cd.casic.pipeline.store.pojo.common.ErrorCodeInfo;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import static cd.casic.ci.common.pipeline.constant.OpsHeader.AUTH_HEADER_USER_ID;

@Tag(name = "OP_STORE_ERROR_CODE", description = "OP-STORE-对接平台")
@RestController
@RequestMapping("/op/store/error/code")
public interface OpStoreErrorCodeResource {

    @Operation(summary = "新增通用错误码")
    @PostMapping("/general/add")
    CommonResult<Boolean> createGeneralErrorCode(
            @Parameter(description = "userId", required = true)
            @RequestHeader(AUTH_HEADER_USER_ID)
            String userId,
            @Parameter(description = "插件通用错误码信息", required = true)
            ErrorCodeInfo errorCodeInfo
    );
}