package cd.casic.pipeline.store.pojo.atom;

import cd.casic.ci.common.pipeline.pojo.AtomBaseInfo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
@Schema(title = "流水线-插件信息")
public class MyAtomRespItem {
    @Schema(title = "插件ID", required = true)
    private String atomId;
    @Schema(title = "插件名称", required = true)
    private String name;
    @Schema(title = "插件代码", required = true)
    private String atomCode;
    @Schema(title = "开发语言", required = true)
    private String language;
    @Schema(title = "插件所属范畴，TRIGGER：触发器类插件 TASK：任务类插件", required = true)
    private String category;
    @Schema(title = "logo链接")
    private String logoUrl;
    @Schema(title = "版本号", required = true)
    private String version;
    @Schema(title = "插件状态，INIT：初始化|COMMITTING：提交中|BUILDING：构建中|BUILD_FAIL：构建失败|TESTING：测试中|" +
            "AUDITING：审核中|AUDIT_REJECT：审核驳回|RELEASED：已发布|GROUNDING_SUSPENSION：上架中止|" +
            "UNDERCARRIAGING：下架中|UNDERCARRIAGED：已下架", required = true)
    private String atomStatus;
    @Schema(title = "项目", required = true)
    private String projectName;
    @Schema(title = "是否有处于上架状态的插件插件版本", required = true)
    private Boolean releaseFlag;
    @Schema(title = "创建人", required = true)
    private String creator;
    @Schema(title = "修改人", required = true)
    private String modifier;
    @Schema(title = "创建时间", required = true)
    private String createTime;
    @Schema(title = "创建时间", required = true)
    private String updateTime;
    @Schema(title = "处于流程中的插件版本信息", required = false)
    private List<AtomBaseInfo> processingVersionInfos;
}