package cd.casic.pipeline.store.pojo.common.env;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "store组件安装包运行时环境信息")
public class StorePkgRunEnvInfo {
    @Schema(title = "环境变量ID", required = true)
    private String id;
    
    @Schema(title = "store组件类型", required = true)
    private String storeType;
    
    @Schema(title = "开发语言", required = true)
    private String language;
    
    @Schema(title = "支持的操作系统名称", required = true)
    private String osName;
    
    @Schema(title = "支持的操作系统架构", required = true)
    private String osArch;
    
    @Schema(title = "运行时版本", required = true)
    private String runtimeVersion;
    
    @Schema(title = "安装包名称", required = true)
    private String pkgName;
    
    @Schema(title = "安装包下载路径", required = true)
    private String pkgDownloadPath;
    
    @Schema(title = "是否为默认安装包", required = true)
    private Boolean defaultFlag;
    
    @Schema(title = "添加用户", required = true)
    private String creator;
    
    @Schema(title = "修改用户", required = true)
    private String modifier;
    
    @Schema(title = "添加时间", required = true)
    private String createTime;
    
    @Schema(title = "修改时间", required = true)
    private String updateTime;
}