package cd.casic.pipeline.store.pojo.common.statistic;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "统计信息")
public class StoreStatistic {
    @Schema(title = "下载量")
    private int downloads;
    
    @Schema(title = "评论量")
    private int commentCnt;
    
    @Schema(title = "星级评分")
    private Double score;
    
    @Schema(title = "流水线个数")
    private Integer pipelineCnt;
    
    @Schema(title = "最近执行次数")
    private Integer recentExecuteNum;
    
    @Schema(title = "成功率")
    private Double successRate;
    
    @Schema(title = "是否为受欢迎组件")
    private Boolean hotFlag = false;
    
    @Schema(title = "最近活跃时长，单位：小时")
    private Double recentActiveDuration;
}