package cd.casic.pipeline.store.pojo.container;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
@Schema(title = "流水线-构建容器信息")
public class Container {
    @Schema(title = "数据库主键", required = true)
    private String id;
    
    @Schema(title = "构建容器名称", required = true)
    private String name;
    
    @Schema(title = "流水线容器类型", required = true)
    private String type;
    
    @Schema(title = "操作系统", required = true)
    private String os;
    
    @Schema(title = "容器是否为必需", required = true)
    private Byte required;
    
    @Schema(title = "最长排队时间", required = false)
    private Integer maxQueueMinutes;
    
    @Schema(title = "最长运行时间", required = false)
    private Integer maxRunningMinutes;
    
    @Schema(title = "支持的构建资源ID列表", required = false)
    private List<String> resourceIdList;
    
    @Schema(title = "自定义扩展容器前端表单属性字段的Json串", required = true)
    private Map<String, Object> props;
}